Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.i18n
Class GlobalMessages

    java.lang.Object
      org.pentaho.di.i18n.AbstractMessageHandler
          org.pentaho.di.i18n.GlobalMessages

All Implemented Interfaces:
  MessageHandler, Handler

Direct Known Subclasses:
  LAFMessageHandler

    public class GlobalMessages

extends AbstractMessageHandler

Field Summary
`static String[]` | `localeCodes`
`static String[]` | `localeDescr`

Constructor Summary
`GlobalMessages()` TODO: extend from abstract class to ensure singleton status and migrate instantiation to class controlled private

Method Summary
`static ResourceBundle` | `getBundle(Locale locale, String packageName)`
`static MessageHandler` | `getInstance()`
`static Locale` | `getLocale()`
`String` | `getString(String key)` get a key from the default (System global) bundle
`String` | `getString(String packageName, String key)` get a key from the defined package bundle, by key
`String` | `getString(String packageName, String key, String param1)` get a key from the defined package bundle, by key
`String` | `getString(String packageName, String key, String param1, String param2)` get a key from the defined package bundle, by key
`String` | `getString(String packageName, String key, String param1, String param2, String param3)` get a key from the defined package bundle, by key
`String` | `getString(String packageName, String key, String param1, String param2, String param3, String param4)` get a key from the defined package bundle, by key
`String` | `getString(String packageName, String key, String param1, String param2, String param3, String param4, String param5)` get a key from the defined package bundle, by key
`String` | `getString(String packageName, String key, String param1, String param2, String param3, String param4, String param5, String param6)` get a key from the defined package bundle, by key
`static String` | `getSystemString(String key)` Deprecated. As of build 4512, replaced by `and #getString(String)`
`static String` | `getSystemString(String key, String param1)` Deprecated. As of build 4512, replaced by `and #getString(String, String)`
`static String` | `getSystemString(String key, String param1, String param2)` Deprecated. As of build 4512, replaced by `and #getString(String, String, String)`
`static String` | `getSystemString(String key, String param1, String param2, String param3)` Deprecated. As of build 4512, replaced by `and #getString(String, String, String, String)`
`static String` | `getSystemString(String key, String param1, String param2, String param3, String param4)` Deprecated. As of build 4512, replaced by `and #getString(String, String, String, String, String)`
`static String` | `getSystemString(String key, String param1, String param2, String param3, String param4, String param5)` Deprecated. As of build 4512, replaced by `and #getString(String, String, String, String, String, String)`
`static String` | `getSystemString(String key, String param1, String param2, String param3, String param4, String param5, String param6)` Deprecated. As of build 4512, replaced by `and #getString(String, String, String, String, String, String, String)`
`static void` | `setLocale(Locale newLocale)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### localeCodes

    public static final String[] localeCodes

### localeDescr

    public static final String[] localeDescr

Constructor Detail

### GlobalMessages

    public GlobalMessages()

  TODO: extend from abstract class to ensure singleton status and migrate instantiation to class controlled private

Method Detail

### getInstance

    public static MessageHandler getInstance()

### getLocale

    public static Locale getLocale()

### setLocale

    public static void setLocale(Locale newLocale)

### getBundle

    public static ResourceBundle getBundle(Locale locale,
                                           String packageName)
                                    throws MissingResourceException

  Throws:
    `MissingResourceException`

### getSystemString

    @Deprecated
    public static String getSystemString(String key)

  Deprecated. As of build 4512, replaced by `and #getString(String)`

### getSystemString

    @Deprecated
    public static String getSystemString(String key,
                                                    String param1)

  Deprecated. As of build 4512, replaced by `and #getString(String, String)`

### getSystemString

    @Deprecated
    public static String getSystemString(String key,
                                                    String param1,
                                                    String param2)

  Deprecated. As of build 4512, replaced by `and #getString(String, String, String)`

### getSystemString

    @Deprecated
    public static String getSystemString(String key,
                                                    String param1,
                                                    String param2,
                                                    String param3)

  Deprecated. As of build 4512, replaced by `and #getString(String, String, String, String)`

### getSystemString

    @Deprecated
    public static String getSystemString(String key,
                                                    String param1,
                                                    String param2,
                                                    String param3,
                                                    String param4)

  Deprecated. As of build 4512, replaced by `and #getString(String, String, String, String, String)`

### getSystemString

    @Deprecated
    public static String getSystemString(String key,
                                                    String param1,
                                                    String param2,
                                                    String param3,
                                                    String param4,
                                                    String param5)

  Deprecated. As of build 4512, replaced by `and #getString(String, String, String, String, String, String)`

### getSystemString

    @Deprecated
    public static String getSystemString(String key,
                                                    String param1,
                                                    String param2,
                                                    String param3,
                                                    String param4,
                                                    String param5,
                                                    String param6)

  Deprecated. As of build 4512, replaced by `and #getString(String, String, String, String, String, String, String)`

### getString

    public String getString(String key)

  Description copied from interface: `MessageHandler`
  get a key from the default (System global) bundle

  Returns:

### getString

    public String getString(String packageName,
                            String key)

  Description copied from interface: `MessageHandler`
  get a key from the defined package bundle, by key

  Returns:

### getString

    public String getString(String packageName,
                            String key,
                            String param1)

  Description copied from interface: `MessageHandler`
  get a key from the defined package bundle, by key

  Returns:

### getString

    public String getString(String packageName,
                            String key,
                            String param1,
                            String param2)

  Description copied from interface: `MessageHandler`
  get a key from the defined package bundle, by key

  Returns:

### getString

    public String getString(String packageName,
                            String key,
                            String param1,
                            String param2,
                            String param3)

  Description copied from interface: `MessageHandler`
  get a key from the defined package bundle, by key

  Returns:

### getString

    public String getString(String packageName,
                            String key,
                            String param1,
                            String param2,
                            String param3,
                            String param4)

  Description copied from interface: `MessageHandler`
  get a key from the defined package bundle, by key

  Returns:

### getString

    public String getString(String packageName,
                            String key,
                            String param1,
                            String param2,
                            String param3,
                            String param4,
                            String param5)

  Description copied from interface: `MessageHandler`
  get a key from the defined package bundle, by key

  Returns:

### getString

    public String getString(String packageName,
                            String key,
                            String param1,
                            String param2,
                            String param3,
                            String param4,
                            String param5,
                            String param6)

  Description copied from interface: `MessageHandler`
  get a key from the defined package bundle, by key

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD